import { Doc } from "yjs";
import { PeerDataChannel } from "./peer-data-channel";
import { Awareness } from 'y-protocols/awareness';
export declare class DocAdapter {
    doc: Doc;
    private awareness;
    private connections;
    constructor(doc: Doc, awareness: Awareness);
    connect(connection: PeerDataChannel): void;
    private broadcast;
    getAwarenessMessage(changedClients?: number[]): Uint8Array;
    applyUpdate(update: Uint8Array): void;
    applyAwarenessUpdate(update: Uint8Array): void;
    getStateVector(): Uint8Array;
}
